#
# spec file for package tomoe-gtk (Version 0.6.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tomoe-gtk
Version:        0.6.0
Release:        25.2
BuildRequires:  gtk2-devel gucharmap-devel python python-cairo-devel python-gobject2-devel python-gtk-devel tomoe-devel update-desktop-files
%if %suse_version >= 1030
BuildRequires:  fdupes
%endif
# for /usr/share/gtk-doc
BuildRequires:  gtk-doc
License:        LGPL-2.1+
Group:          System/I18n/Japanese
AutoReqProv:    on
Requires:       libtomoe-gtk0 = %{version}
Provides:       libtomoe-gtk-0.5.1
Obsoletes:      libtomoe-gtk-0.5.1
Url:            http://sourceforge.net/projects/tomoe/
Source0:        http://kent.dl.sourceforge.net/sourceforge/tomoe/tomoe-gtk-0.6.0.tar.bz2
Patch0:         fix-build.patch
Patch1:         gucharmap.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
Summary:        TOMOE GTK+ library

%description
TOMOE GTK+ library



Authors:
--------
    Takuro Ashie <ashie@homa.ne.jp>
    HIGUCHI Daisuke <daih@users.sourceforge.jp>

%package -n libtomoe-gtk0
License:        LGPL-2.1+
Summary:        TOMOE GTK+ library
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}

%description -n libtomoe-gtk0
TOMOE GTK+ library



Authors:
--------
    Takuro Ashie <ashie@homa.ne.jp>
    HIGUCHI Daisuke <daih@users.sourceforge.jp>

%package devel
License:        LGPL-2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} tomoe-devel gucharmap-devel
Provides:       libtomoe-gtk-devel-0.5.1
Obsoletes:      libtomoe-gtk-devel-0.5.1

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Takuro Ashie <ashie@homa.ne.jp>
    HIGUCHI Daisuke <daih@users.sourceforge.jp>

%package doc
License:        LGPL-2.1+
Summary:        TOMOE GTK+ library
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}
Provides:       libtomoe-gtk-doc-0.5.1
Obsoletes:      libtomoe-gtk-doc-0.5.1

%description doc
TOMOE GTK+ library



Authors:
--------
    Takuro Ashie <ashie@homa.ne.jp>
    HIGUCHI Daisuke <daih@users.sourceforge.jp>

%lang_package
%prep
%setup -q
%patch0 -p 1
%if %suse_version > 1100
#%patch1 -p 1
%endif

%build
#autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS"
%configure\
%if %suse_version > 1100
        --without-gucharmap \
	--enable-gtk-doc \
%endif
	--disable-static
make CFLAGS="$CFLAGS" %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang tomoe-gtk
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libtomoe-gtk0 -p /sbin/ldconfig

%postun -n libtomoe-gtk0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/tomoe-gtk

%files -n libtomoe-gtk0
%defattr(-, root, root)
%{_libdir}/*.so.*

%files lang -f tomoe-gtk.lang

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/tomoe/*

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/libtomoe-gtk

%changelog
* Fri Jun 19 2009 tiwai@suse.de
- allow build on 10.3 target
* Fri Aug  8 2008 mfabian@suse.de
- add Provides and Obsoletes to the sub-packages.
* Fri Aug  1 2008 mfabian@suse.de
- update to 0.6.0: ustream changes:
  • Rename the main package name from libtomoe-gtk to tomoe-gtk
  • Choose default dictionary according to current locale.
    However currently no dictionary will be enabled with most
    locales except ja or zh_CN, and on-demand language switching
    is not implemented yet.
    Please use tomoe application with above locales like this:
    $ LANG=zh_CN uim-tomoe-gtk
    $ LANG=ja scim-tomoe
    ...
  • Add tomoe_gtk_init() and tomoe_gtk_quit().
    Although tomoe_window_new() calls tomoe_gtk_init() internally
    for compatibility reason, it is recommended to call
    tomoe_gtk_init() manually in your code.
  • Add --with-gucharmap option.
  • Python binding.
  • Some minor fixes.
- create new subpackage libtomoe-gtk0 to comply with the shared
  library packaging policy.
* Thu Jan 31 2008 sbrabec@suse.cz
- Devhelp documentation moved to the separate package (bnc#248813).
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage
- Use fdupes
- Buildrequire gtk-doc, not gtk2-doc
- Add %%post and %%postun.
* Tue Aug  7 2007 mrueckert@suse.de
- added gtk2-doc to the buildrequires so the doc paths get an owner.
* Mon Aug  6 2007 mfabian@suse.de
- update to 0.5.1:
  • Fix a bug that the candidates view in the handwriting page
  isn't drawn on KDE environment.
  • Search characters by stroke count.
- add gucharmap-devel to BuildRequires.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build static libraries (#238552).
* Thu Dec 14 2006 mfabian@suse.de
- update to 0.4.0
  • Adaptation to TOMOE-0.4.0.
  • Removed dictionary pages. It will be provided as separated
    tools later.
- remove bugzilla-204093-local-variable-used-before-set.patch
  (included upstream).
- remove bugzilla-212523-local-variable-used-before-set.patch not
  needed anymore.
* Tue Oct 17 2006 mfabian@suse.de
- Bugzilla #212523: “local variable used before set”.
* Thu Sep 28 2006 mfabian@suse.de
- Bugzilla #204090: “local variable used before set”.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- new package: libtomoe-gtk, version 0.1.0.
